/*
 *
 * MINIGUI - Harbour Win32 GUI library
 * Copyright 2002-2009 Roberto Lopez <harbourminigui@gmail.com>
 * http://harbourminigui.googlepages.com/
 *
 * Program to view DBF files using standard Browse control
 * Miguel Angel Jurez A. - 2009 MigSoft <mig2soft/at/yahoo.com>
 * Includes the code of Grigory Filatov <gfilatov@freemail.ru>
 * and Rathinagiri <srathinagiri@gmail.com>
 *
 */

#include "minigui.ch"
#include "dbstruct.ch"
#include "fileio.ch"

*--------------------------------------------------------*
Procedure Main(  )
*--------------------------------------------------------*

   Load window Test
   Test.Center
   Test.Activate

Return

*--------------------------------------------------------*
Procedure Test_Excel()
*--------------------------------------------------------*
   Local oExcel,  oSheet, oBook, aColumns, nCell := 1

       local i:=1
       local cAlias:="prueba"
       local cFile:="prueba"

        IF ( oExcel := win_oleGetActiveObject("Excel.Application" )) == NIL
           IF ( oExcel := win_oleCreateObject("Excel.Application" ) ) == NIL
              MsgStop( "ERROR! Excel is not available. ["+ Ole2TxtError()+ "]", PROGRAM )
              Return
           ENDIF
        ENDIF

   oExcel:Visible := .F.
   oExcel:WorkBooks:Add()
   oSheet:=oExcel:ActiveSheet()

   oSheet:Cells( nCell, i ):Value := "prueba"

   oBook := oExcel:ActiveWorkBook()
   oBook:Title   := cAlias
   oBook:Subject := cAlias
   oBook:SaveAs(cFile)
   *oExcel:Quit()


Return